Ask Your Question
0

sage-5.0.1-linux-64bit-ubuntu_10.04.3_lts-x86_64-Linux does not work on ubuntu 12.04 ? What can we do ?

asked 2012-06-16 02:02:45 -0500

reveil gravatar image

version sage-5.0.1-linux-64bit-ubuntu_10.04.3_lts-x86_64-Linux does not work on ubuntu 12.04 ? What can we do ? Does 5.0.1 source compile on Ubuntu 12.04 (64 bits) ?

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2012-06-16 22:15:03 -0500

reveil gravatar image

Successful compilation and hope that all features will be present

edit flag offensive delete link more

Comments

If by "successful compilation", you mean that you ran "make ptestlong", then all features should be present. (If you just ran "make", then it built Sage. Running "make ptestlong" also runs an extensive test suite.)

John Palmieri gravatar imageJohn Palmieri ( 2012-06-17 05:27:29 -0500 )edit

Thank you John; I just ran make (was in a hurry but saw that checks could be done); so much to explore now.

reveil gravatar imagereveil ( 2012-06-18 06:14:43 -0500 )edit
0

answered 2012-06-17 05:51:30 -0500

Volker Braun gravatar image

First, install build requirements

sudo apt-get install m4 g++ gfortran libssl-dev dh-exec

Then download & unpack source in your home directory. Run make in the sage directory. Works!

edit flag offensive delete link more

Comments

Thanks Volker, dh-exec was not in my packages list, I just added it for next eventual compilation.

reveil gravatar imagereveil ( 2012-06-18 06:18:07 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-06-16 02:02:45 -0500

Seen: 1,001 times

Last updated: Jun 17 '12